'===========================================================
' VBINI.BAS - Internal Visual Basic INI File Routines v1.10
'
' Please see the online help file VBINI.HLP for function
' syntax and other information.
'
'===========================================================
'          Copyright (C) Karri Software Ltd. 1997
'===========================================================
'===========================================================
' Section Management Routines:
'===========================================================
Declare Function IniGetSectionCount Lib "VBINI.DLL" (ByVal IniFile$) As Integer
Declare Sub IniGetSections Lib "VBINI.DLL" (ByVal IniFile$, Array$())
Declare Sub IniDeleteSection Lib "VBINI.DLL" (ByVal IniFile$, ByVal Section$)
Declare Sub IniRenameSection Lib "VBINI.DLL" (ByVal IniFile$, ByVal oldSection$, ByVal newSection$)
Declare Sub IniClearSection Lib "VBINI.DLL" (ByVal IniFile$, ByVal Section$)

'===========================================================
' Entry Management Routines:
'===========================================================
Declare Function IniGetEntryCount Lib "VBINI.DLL" (ByVal IniFile$, ByVal Section$) As Integer
Declare Sub IniGetEntries Lib "VBINI.DLL" (ByVal IniFile$, ByVal Section$, Array$())
Declare Sub IniDeleteEntry Lib "VBINI.DLL" (ByVal IniFile$, ByVal Section$, ByVal Entry$)
Declare Sub IniRenameEntry Lib "VBINI.DLL" (ByVal IniFile$, ByVal Section$, ByVal oldEntry$, ByVal newEntry$)
Declare Sub IniClearEntry Lib "VBINI.DLL" (ByVal IniFile$, ByVal Section$, ByVal Entry$)

'===========================================================
' Value Management Routines:
'===========================================================
Declare Function IniGetStr Lib "VBINI.DLL" (ByVal IniFile$, ByVal Section$, ByVal Entry$, ByVal Default$) As String
Declare Function IniGetInt Lib "VBINI.DLL" (ByVal IniFile$, ByVal Section$, ByVal Entry$, ByVal Default%) As Integer
Declare Sub IniSetStr Lib "VBINI.DLL" (ByVal IniFile$, ByVal Section$, ByVal Entry$, ByVal Value$)
Declare Sub IniSetInt Lib "VBINI.DLL" (ByVal IniFile$, ByVal Section$, ByVal Entry$, ByVal Value%)

'===========================================================
' Helper Routines:
'===========================================================
Declare Sub IniFlushCache Lib "VBINI.DLL" (ByVal IniFile$)
Declare Sub IniGetSectionsCombobox Lib "VBINI.DLL" (ByVal IniFile$, ByVal hwndCombo%)
Declare Sub IniGetSectionsListbox Lib "VBINI.DLL" (ByVal IniFile$, ByVal hwndList%)
Declare Sub IniGetEntriesCombobox Lib "VBINI.DLL" (ByVal IniFile$, ByVal Section$, ByVal hwndCombo%)
Declare Sub IniGetEntriesListbox Lib "VBINI.DLL" (ByVal IniFile$, ByVal Section$, ByVal hwndList%)

'===========================================================
' Error Codes:
'===========================================================
Global Const VBI_ERR_BASE = 20013
Global Const VBI_ERR_FILE_NOT_FOUND = VBI_ERR_BASE
Global Const VBI_ERR_NOT_ENOUGH_MEM = VBI_ERR_BASE + 1
Global Const VBI_ERR_INI_WRITE_FAIL = VBI_ERR_BASE + 2
Global Const VBI_ERR_CACHE_FAIL = VBI_ERR_BASE + 3
Global Const VBI_ERR_MISSING_SECTION_NAME = VBI_ERR_BASE + 4
Global Const VBI_ERR_MISSING_ENTRY_NAME = VBI_ERR_BASE + 5

'===========================================================
'          Copyright (C) Karri Software Ltd. 1997
'===========================================================
